TRACE_IRQ_HANDLER_EN(9)

NAME
trace_irq_handler_entry - called immediately before the irq action handler

SYNOPSIS

void trace_irq_handler_entry(int irq, struct irqaction * action);

ARGUMENTS

irq
    irq number

action
    pointer to struct irqaction

DESCRIPTION

The struct irqaction pointed to by action contains various information about the handler, including the device name, action->name, and the device id, action->dev_id. When used in conjunction with the irq_handler_exit tracepoint, we can figure out irq handler latencies.

AUTHORS

Jason Baron <jbaron@redhat.com>
    Author.

William Cohen <wcohen@redhat.com>
    Author.

COPYRIGHT